Bug 186914 - [NEW PORT] devel/rubygem-open3_backport
[NEW PORT] devel/rubygem-open3_backport
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 09:50 UTC by Bartek Rutkowski
Modified: 2014-03-12 16:32 UTC (History)
0 users

See Also:


Attachments
file.shar (1.64 KB, text/plain)
2014-02-20 09:50 UTC, Bartek Rutkowski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-02-20 09:50:00 UTC
WARNING: this port was submitted as a group of ports that are required to work together: rubygem-librarian-puppet, rubygem-librarian and rubygem-open3_b
ackport. Those ports should be tested and commited as a group, otherwise they're usless because of missing dependencies.

Fix: Shar archive attached.

Patch attached with submission follows:
How-To-Repeat: Test and commit.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-20 09:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 r 2014-02-20 09:54:12 UTC
Wiadomo=C5=9B=C4=87 napisana przez FreeBSD-gnats-submit@FreeBSD.org w =
dniu 20 lut 2014, o godz. 09:50:

> Thank you very much for your problem report.
> It has the internal identification `ports/186914'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.=20
>=20
> You can access the state of your problem report at any time
> via this link:
>=20
> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D186914
>=20
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       [NEW PORT] devel/rubygem-open3_backport
>> Arrival-Date:   Thu Feb 20 09:50:00 UTC 2014

Redports build reports are here: =
https://redports.org/buildarchive/20140219144000-48619/ and here: =
https://redports.org/buildarchive/20140219144300-4715
9/
Comment 3 Steve Wills freebsd_committer 2014-02-21 19:24:36 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 4 dfilter freebsd_committer 2014-03-12 16:18:09 UTC
Author: swills
Date: Wed Mar 12 16:18:01 2014
New Revision: 347985
URL: http://svnweb.freebsd.org/changeset/ports/347985
QAT: https://qat.redports.org/buildarchive/r347985/

Log:
  Backport of Ruby 1.9's Open3 methods, for use in Ruby 1.8.
  
  WWW: https://github.com/kindkid/open3_backport
  
  PR:		ports/186914
  Submitted by:	ports@robakdesign.com

Added:
  head/devel/rubygem-open3_backport/
  head/devel/rubygem-open3_backport/Makefile   (contents, props changed)
  head/devel/rubygem-open3_backport/distinfo   (contents, props changed)
  head/devel/rubygem-open3_backport/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Wed Mar 12 16:01:07 2014	(r347984)
+++ head/devel/Makefile	Wed Mar 12 16:18:01 2014	(r347985)
@@ -4283,6 +4283,7 @@
     SUBDIR += rubygem-nice-ffi
     SUBDIR += rubygem-nio4r
     SUBDIR += rubygem-notify
+    SUBDIR += rubygem-open3_backport
     SUBDIR += rubygem-open4
     SUBDIR += rubygem-orm_adapter
     SUBDIR += rubygem-paint

Added: head/devel/rubygem-open3_backport/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/rubygem-open3_backport/Makefile	Wed Mar 12 16:18:01 2014	(r347985)
@@ -0,0 +1,20 @@
+# $FreeBSD$
+
+PORTNAME=	open3_backport
+PORTVERSION=	0.0.3
+CATEGORIES=	devel rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	ports@robakdesign.com
+COMMENT=	A backport of Ruby 1.9's Open3 methods for Ruby 1.8
+
+LICENSE=	BSD2CLAUSE RUBY
+LICENSE_COMB=	dual
+
+RUN_DEPENDS=	${PKGNAMEPREFIX}open4>=1.3:${PORTSDIR}/devel/rubygem-open4
+
+USE_RUBY=	yes
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
+
+.include <bsd.port.mk>

Added: head/devel/rubygem-open3_backport/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/rubygem-open3_backport/distinfo	Wed Mar 12 16:18:01 2014	(r347985)
@@ -0,0 +1,2 @@
+SHA256 (rubygem/open3_backport-0.0.3.gem) = c4e8a1f4271b4424b548217634b3c469dbab56ca359c4df182034b3040a556c1
+SIZE (rubygem/open3_backport-0.0.3.gem) = 15872

Added: head/devel/rubygem-open3_backport/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/rubygem-open3_backport/pkg-descr	Wed Mar 12 16:18:01 2014	(r347985)
@@ -0,0 +1,3 @@
+Backport of Ruby 1.9's Open3 methods, for use in Ruby 1.8.
+
+WWW: https://github.com/kindkid/open3_backport
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2014-03-12 16:32:08 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!